MEI support under linux - which versions of AMT are supported?

MEI support under linux - which versions of AMT are supported?

There are widespread reports in various linux fora about errors with the mei module along the lines of:

[  286.232029] mei_me 0000:00:03.0: timer: connect/disconnect timeout.
[  286.232038] mei_me 0000:00:03.0: unexpected reset: dev_state = ENABLED

(These are pastes from a DQ35JO system - This uses AMT 3.2)

AMT is enabled and I can access the web interface on this board, so my suspicion is that the MEI module doesn't talk to older AMT firmware.

Can anyone confirm?

If this is true, what is the _oldest_ version of AMT supported by mei?

 

Directly related: On vPro chipsets such as the Q35, lm-sensors cannot access any information relating to fan speeds, motherboard temperature, PSU/ram/core voltages, etc.

Given that lm-sensors is _the_ linux standard for onboard environmental monitoring (there are extensions for IPMI access), this really needs addressing properly (ie: if the informatio is available via mei then a lm-sensors extension should be worked on)

Thanks

Alan

3 posts / 0 nouveau(x)
Dernière contribution
Reportez-vous à notre Notice d'optimisation pour plus d'informations sur les choix et l'optimisation des performances dans les produits logiciels Intel.

Hi Alan,

I am working on getting answers for you.  The current linux mei driver was designed for version 7.x of the firmware.  It wouldn't surprise me if it did not work for AMT 3.x.

I will respond further when I get more information.

Gael

Follow me on Twitter: @GaelHof Facebook: https://www.facebook.com/GaelHof

Hello Alan,

I'm being told that AMT 6 is the lowest version of AMT that works with Linux.

Gael

Follow me on Twitter: @GaelHof Facebook: https://www.facebook.com/GaelHof

Laisser un commentaire

Veuillez ouvrir une session pour ajouter un commentaire. Pas encore membre ? Rejoignez-nous dès aujourd’hui